org.apache.ignite.internal.client

## Interface GridClientPartitionAffinity.HashIdResolver

Enclosing class:
  GridClientPartitionAffinity

    public static interface GridClientPartitionAffinity.HashIdResolver

This resolver is used to provide alternate hash ID, other than node ID.

Node IDs constantly change when nodes get restarted, which causes them to be placed on different locations in the hash ring, and hence causing repartitioning. Providing an alternate hash ID, which survives node restarts, puts node on the same location on the hash ring, hence minimizing required repartitioning.

### Method Summary

Methods
`Object` `getHashId(GridClientNode node)` Gets alternate hash ID, other than node ID.

### Method Detail

#### getHashId

    Object getHashId(GridClientNode node)

Gets alternate hash ID, other than node ID.

Parameters:
  `node` - Node.
Returns:
  Hash ID.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC3
Release Date | : March 24 2015